Gecode::BrancherPrint< View, Val > Class Template Reference

Class storing a print function. More...

`#include <print.hpp>`

## Public Types

typedef View::VarType | Var
| The corresponding variable type.

## Public Member Functions

| BrancherPrint (VarValPrint< Var, Val > vvp)
| Initialize.
| BrancherPrint (BrancherPrint &bp)
| Initialize during cloning.
| operator bool (void) const
| Whether printing is enabled.
void | operator() (const Space &home, const Brancher &b, unsigned int a, View x, int i, const Val &m, std::ostream &o) const
| Invoke print function.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete.

## Protected Attributes

SharedData< VarValPrint< Var, Val > > | p

## Detailed Description

template<class View, class Val>
class Gecode::BrancherPrint< View, Val >

Class storing a print function.

Definition at line 47 of file print.hpp.

## Member Typedef Documentation

## Var

template<class View, class Val>

typedef View::VarType Gecode::BrancherPrint< View, Val >::Var

The corresponding variable type.

Definition at line 50 of file print.hpp.

## Constructor & Destructor Documentation

## BrancherPrint() [1/2]

template<class View, class Val>

Gecode::BrancherPrint< View, Val >::BrancherPrint | ( | VarValPrint< Var, Val > | vvp | ) |

inline

Initialize.

Definition at line 99 of file print.hpp.

## BrancherPrint() [2/2]

template<class View, class Val>

Gecode::BrancherPrint< View, Val >::BrancherPrint | ( | BrancherPrint< View, Val > & | bp | ) |

Initialize during cloning.

## Member Function Documentation

## operator bool()

template<class View, class Val>

Gecode::BrancherPrint< View, Val >::operator bool | ( | void |  | ) | const

inline

Whether printing is enabled.

Definition at line 112 of file print.hpp.

## operator()()

template<class View, class Val>

void Gecode::BrancherPrint< View, Val >::operator() | ( | const Space & | home,
|  | const Brancher & | b,
|  | unsigned int | a,
|  | View | x,
|  | int | i,
|  | const Val & | m,
|  | std::ostream & | o ) const

inline

Invoke print function.

Definition at line 118 of file print.hpp.

## notice()

template<class View, class Val>

bool Gecode::BrancherPrint< View, Val >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 129 of file print.hpp.

## dispose()

template<class View, class Val>

void Gecode::BrancherPrint< View, Val >::dispose | ( | Space & | home | ) |

inline

Delete.

Definition at line 135 of file print.hpp.

## Member Data Documentation

## p

template<class View, class Val>

SharedData<VarValPrint<Var,Val> > Gecode::BrancherPrint< View, Val >::p

protected

Definition at line 52 of file print.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/print.hpp